#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Drawing;
using System.Windows.Forms;

namespace HeuristicLab.Visualization {
  public class SelectionRectangle : FixedSizeRectangle {
    private static int size = 6;
    private Cursor cursor;

    public SelectionRectangle(IChart chart, PointD point, Cursor cursor)
      : base(chart, point, new Size(size, size)) {
      this.cursor = cursor;
      Pen = Pens.Black;
      Brush = Brushes.LightGray;
    }
    public SelectionRectangle(IChart chart, double x, double y, Cursor cursor)
      : this(chart, new PointD(x, y), cursor) {
    }

    public override void SnapToGrid(IGrid grid) { }
    public override void SnapToGrid(PointD point, IGrid grid) { }

    public override Cursor GetCursor(PointD point) {
      return cursor;
    }
  }
}
